version: '3.8'

services:
  toolbox:
    # Az image a jelenlegi könyvtárban lévő Dockerfile-ból épül
    build:
      context: .
      args:
        # Átadja az .env fájlból beolvasott SSH_PASSWORD változót a Dockerfile-nak
        - SSH_PASSWORD=${SSH_PASSWORD}
    # Konténer neve a könnyebb azonosíthatóságért
    container_name: fedora-toolbox
    # Hoszt port 2222 átirányítása a konténer 22-es portjára
    # Azért nem a 22-t használjuk a hoszton, hogy ne ütközzön a gép saját SSH szolgáltatásával
    ports:
      - "2222:22"
    # A külső 'data' könyvtár felcsatolása a konténeren belüli /home/wpanda helyre
    # A 'data' könyvtár a Dev/fedora_toolbox/data útvonalon található
    volumes:
      - ./data:/home/wpanda
    # A konténer automatikusan újraindul, hacsak nem állítod le kézzel
    restart: unless-stopped
